/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * Model196
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model196 {
  @SerializedName("label")
  private String label = null;

  @SerializedName("headline")
  private String headline = null;

  @SerializedName("description")
  private String description = null;

  @SerializedName("limit")
  private String limit = null;

  @SerializedName("excess")
  private BigDecimal excess = null;

  @SerializedName("sub_guarantees")
  private SubGuarantees subGuarantees = null;

  public Model196 label(String label) {
    this.label = label;
    return this;
  }

   /**
   * Label.
   * @return label
  **/
  @ApiModelProperty(required = true, value = "Label.")
  public String getLabel() {
    return label;
  }

  public void setLabel(String label) {
    this.label = label;
  }

  public Model196 headline(String headline) {
    this.headline = headline;
    return this;
  }

   /**
   * Guarantee title.
   * @return headline
  **/
  @ApiModelProperty(value = "Guarantee title.")
  public String getHeadline() {
    return headline;
  }

  public void setHeadline(String headline) {
    this.headline = headline;
  }

  public Model196 description(String description) {
    this.description = description;
    return this;
  }

   /**
   * Description.
   * @return description
  **/
  @ApiModelProperty(required = true, value = "Description.")
  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  public Model196 limit(String limit) {
    this.limit = limit;
    return this;
  }

   /**
   * Limit of the guarantee.
   * @return limit
  **/
  @ApiModelProperty(value = "Limit of the guarantee.")
  public String getLimit() {
    return limit;
  }

  public void setLimit(String limit) {
    this.limit = limit;
  }

  public Model196 excess(BigDecimal excess) {
    this.excess = excess;
    return this;
  }

   /**
   * Excess amount, numeric with 2 decimals.
   * @return excess
  **/
  @ApiModelProperty(value = "Excess amount, numeric with 2 decimals.")
  public BigDecimal getExcess() {
    return excess;
  }

  public void setExcess(BigDecimal excess) {
    this.excess = excess;
  }

  public Model196 subGuarantees(SubGuarantees subGuarantees) {
    this.subGuarantees = subGuarantees;
    return this;
  }

   /**
   * Get subGuarantees
   * @return subGuarantees
  **/
  @ApiModelProperty(value = "")
  public SubGuarantees getSubGuarantees() {
    return subGuarantees;
  }

  public void setSubGuarantees(SubGuarantees subGuarantees) {
    this.subGuarantees = subGuarantees;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model196 model196 = (Model196) o;
    return Objects.equals(this.label, model196.label) &&
        Objects.equals(this.headline, model196.headline) &&
        Objects.equals(this.description, model196.description) &&
        Objects.equals(this.limit, model196.limit) &&
        Objects.equals(this.excess, model196.excess) &&
        Objects.equals(this.subGuarantees, model196.subGuarantees);
  }

  @Override
  public int hashCode() {
    return Objects.hash(label, headline, description, limit, excess, subGuarantees);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model196 {\n");
    
    sb.append("    label: ").append(toIndentedString(label)).append("\n");
    sb.append("    headline: ").append(toIndentedString(headline)).append("\n");
    sb.append("    description: ").append(toIndentedString(description)).append("\n");
    sb.append("    limit: ").append(toIndentedString(limit)).append("\n");
    sb.append("    excess: ").append(toIndentedString(excess)).append("\n");
    sb.append("    subGuarantees: ").append(toIndentedString(subGuarantees)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

